===> Generating patch
===> Viewing diff with more
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/Makefile /usr/ports/www/dansguardian-devel/Makefile
--- /usr/ports/www/dansguardian/Makefile	Sat Apr  8 05:57:42 2006
+++ /usr/ports/www/dansguardian-devel/Makefile	Tue Sep 26 16:27:59 2006
@@ -1,89 +1,137 @@
 # New ports collection makefile for:	dansguardian
-# Date created:				March 26, 2002
-# Whom:					Freddie Cash <fcash@sd73.bc.ca>
+# Date created:				April 02, 2002
+# Whom:					Freddie Cash <fcash@bigfoot.com>
 #
-# $FreeBSD: ports/www/dansguardian/Makefile,v 1.23 2006/04/08 12:57:42 pav Exp $
+# $FreeBSD: ports/www/dansguardian-devel/Makefile,v 1.21 2006/06/06 14:50:05 itetcu Exp $
 #
 
 PORTNAME=	dansguardian
-PORTVERSION=	2.8.0.6
-PORTREVISION=	2
+PORTVERSION=	2.9.8.0
+#PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	# empty, see below
-DISTNAME=	${PORTNAME}-${PORTVERSION}.source
+DISTNAME=	${PORTNAME}-${PORTVERSION}
 
 MAINTAINER=	fcash@sd73.bc.ca
 COMMENT=	A fast, feature-rich web content filter for Squid proxy servers
 
+LIB_DEPENDS=	pcre.0:${PORTSDIR}/devel/pcre
 RUN_DEPENDS=	${LOCALBASE}/sbin/squid:${PORTSDIR}/www/squid
 
+USE_GCC=	3.4+
+USE_ICONV=	yes
+
 USE_RC_SUBR=	dansguardian.sh
 
-CONFLICTS=	dansguardian-2.[67]*
-LATEST_LINK=	dansguardian
+CONFLICTS=	dansguardian-2.[678]*
+LATEST_LINK=	dansguardian-devel
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--bindir=/sbin/ \
-		--sysconfdir=/etc/dansguardian/ \
-		--sysvdir=/etc/rc.d/ \
-		--mandir=/man/ \
-		--logdir=/var/log/ \
-		--cgidir=/www/cgi-bin/ \
-		--piddir=/var/run/
+CONFIGURE_ARGS=	--localstatedir=/var \
+		--with-logdir=/var/log \
+		--with-piddir=/var/run
 
 MAN8=		dansguardian.8
-NOMANCOMPRESSED=	yes
 
-OPTIONS=	DG_APACHE "Enable Apache support for access denied page" on \
-		DG_PHRASELISTS "Install new phraselists over the old ones." off
+OPTIONS=	DG_APACHE  "Enable Apache support for access denied page" on \
+		DG_DMGR    "Enable the fancy download manager" on \
+		DG_TRICKLE "Enable the trickle download manager" on \
+		DG_CLISCAN "Enable support for CLI content scanners" off \
+		DG_CLAMD   "Enable ClamAV daemon support (clamd)" off \
+		DG_CLAMAV  "Enable ClamAV library support (libclamav)" off \
+		DG_ICAP    "Enable ICAP AV content scanner support (testing)" off \
+		DG_KASP    "Enable Kaspersky AV support (testing)" off \
+		DG_NTLM    "Enable NTLM authentication plugin" off \
+		DG_EMAIL   "Enable e-mail reporting support" off
 
 DG_URL=		http://dansguardian.org/index.php?page=copyright2
 CONFDIR=	${PREFIX}/etc/dansguardian
 
-NO_CDROM=	Commercial download is restricted.  Check ${DG_URL} for more info
-NO_PACKAGE=	Redistribution is restricted.  Check ${DG_URL} for more info
-RESTRICTED=	${NO_PACKAGE}
+RESTRICTED=	Redistribution and commercial download is restricted. Check ${DG_URL} for more info ${NO_PACKAGE}
 
 .include <bsd.port.pre.mk>
 
-# Set which version of GCC to compile the port with
-.if ${OSVERSION} > 500000
-CONFIGURE_ARGS+=	--gccver=3
+.if !defined(WITHOUT_DG_APACHE)
+USE_APACHE=	1.3+
+.endif
+
+.if defined(WITH_DG_TRICKLE)
+CONFIGURE_ARGS+=	--enable-trickledm
+.endif
+
+.if defined(WITH_DG_CLISCAN)
+CONFIGURE_ARGS+=	--enable-commandline=yes
+PLIST_SUB+=		CLISCANCONF=""
 .else
-CONFIGURE_ARGS+=	--gccver=2
+PLIST_SUB+=		CLISCANCONF="@comment"
 .endif
 
-.if !defined(WITHOUT_DG_APACHE)
-USE_APACHE=	1.3+
+.if defined(WITH_DG_CLAMAV)
+#IGNORE=		please use the clamd plugin support.  It's much more flexible, usable, tested, and just generally better
+CONFIGURE_ARGS+=	--enable-clamav
+LIB_DEPENDS+=		clamav.1:${PORTSDIR}/security/clamav
+PLIST_SUB+=		CLAMAVCONF=""
+.else
+PLIST_SUB+=		CLAMAVCONF="@comment "
 .endif
 
-# User needs to manually download the distfile
-.if !(exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})) && !defined(PACKAGE_BUILDING)
-IGNORE="Commercial source download is restricted.  Please visit and read ${DG_URL} and download ${DISTNAME}${EXTRACT_SUFX} into ${DISTDIR} before running make"
+.if defined(WITH_DG_CLAMD)
+CONFIGURE_ARGS+=	--enable-clamd
+RUN_DEPENDS+=		${LOCALBASE}/sbin/clamd:${PORTSDIR}/security/clamav
+PLIST_SUB+=		CLAMDCONF=""
+.else
+PLIST_SUB+=		CLAMDCONF="@comment "
 .endif
 
-pre-install:
-# Configure pkg-plist based on whether phraselists are to be installed or not
-.if defined(WITH_DG_PHRASELISTS)
-PLIST_SUB=	PHRASELISTS=""
+.if defined(WITH_DG_ICAP)
+#IGNORE=		I don't have access to ICAP AV, so I can't test this.  If you have access to it, drop me an e-mail.  Thanks
+CONFIGURE_ARGS+=	--enable-icap
+PLIST_SUB+=		ICAPCONF=""
 .else
-PLIST_SUB=	PHRASELISTS="@comment "
+PLIST_SUB+=		ICAPCONF="@comment "
 .endif
 
-post-install:
-# Check whether to install default phraselists
-.if defined(WITH_DG_PHRASELISTS)
-	@${ECHO_MSG} "===>   Installing default phraselists into ${CONFDIR}/phraselists"
-	@${CP} -R ${WRKSRC}/phraselists ${CONFDIR}
+.if defined(WITH_DG_KASP)
+#IGNORE=		I don't have access to Kaspersky AV, so I can't test this.  If you have access to it, drop me an e-mail.  Thanks
+CONFIGURE_ARGS+=	--enable-kavd
+PLIST_SUB+=		KAVDCONF=""
 .else
-	@${ECHO_MSG} "===>   Skipping installation of phraselists."
+PLIST_SUB+=		KAVDCONF="@comment "
 .endif
 
-# Install startup script
-#	@${ECHO_MSG} "===>   Installing startup script into ${PREFIX}/etc/rc.d"
-#	@${INSTALL_SCRIPT} ${WRKSRC}/dansguardian.sh ${PREFIX}/etc/rc.d/start-dg.sh
+.if defined(WITH_DG_CLAMD) || defined(WITH_DG_CLAMAV) || defined(WITH_DG_ICAP) || defined(WITH_DG_KASP) || defined(WITH_CLISCANCONF)
+PLIST_SUB+=		SCANNERS=""
+.else
+PLIST_SUB+=		SCANNERS="@comment "
+.endif
+
+.if !defined(WITHOUT_DG_DMGR)
+CONFIGURE_ARGS+=	--enable-fancydm
+#PLIST_SUB+=		DMGR=""
+#.else
+#PLIST_SUB+=		DMGR="@comment "
+.endif
+
+.if defined(WITH_DG_NTLM)
+CONFIGURE_ARGS+=	--enable-ntlm
+PLIST_SUB+=		NTLMCONF=""
+.else
+PLIST_SUB+=		NTLMCONF="@comment "
+.endif
+
+.if defined(WITH_DG_EMAIL)
+CONFIGURE_ARGS+=	--enable-email
+PLIST_SUB+=		EMAILCONF=""
+.else
+PLIST_SUB+=		EMAILCONF="@comment "
+.endif
 
+# User needs to manually download the distfile
+.if !(exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})) && !defined(PACKAGE_BUILDING)
+IGNORE=	commercial source download is restricted.  Please visit and read ${DG_URL} and download ${DISTNAME}${EXTRACT_SUFX} into ${DISTDIR} before running make
+.endif
+
+post-install:
 # Display post-install message
 	@${CAT} pkg-message
 
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/distinfo /usr/ports/www/dansguardian-devel/distinfo
--- /usr/ports/www/dansguardian/distinfo	Thu Oct  6 11:28:23 2005
+++ /usr/ports/www/dansguardian-devel/distinfo	Tue Sep 26 15:58:57 2006
@@ -1,2 +1,3 @@
-MD5 (dansguardian-2.8.0.6.source.tar.gz) = aa619607198f37a528dbb65e4a503beb
-SIZE (dansguardian-2.8.0.6.source.tar.gz) = 212737
+MD5 (dansguardian-2.9.8.0.tar.gz) = 2171456df5f04d038c31a34f3a9ddabe
+SHA256 (dansguardian-2.9.8.0.tar.gz) = dd112f1169b7469f015b15425a879a01d83311d7659ea763e3913e149e5288f4
+SIZE (dansguardian-2.9.8.0.tar.gz) = 444242
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/files/dansguardian.sh.in /usr/ports/www/dansguardian-devel/files/dansguardian.sh.in
--- /usr/ports/www/dansguardian/files/dansguardian.sh.in	Mon Jul 10 11:32:32 2006
+++ /usr/ports/www/dansguardian-devel/files/dansguardian.sh.in	Mon Feb 20 12:47:47 2006
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $FreeBSD: ports/www/dansguardian/files/dansguardian.sh.in,v 1.2 2006/07/10 18:32:32 dougb Exp $
+# $FreeBSD: ports/www/dansguardian-devel/files/dansguardian.sh.in,v 1.2 2006/02/20 20:47:47 dougb Exp $
 
 # PROVIDE: dansguardian
 # REQUIRE: NETWORKING SERVERS squid
@@ -23,9 +23,8 @@
 rcvar=`set_rcvar`
 command="%%PREFIX%%/sbin/dansguardian"
 
-load_rc_config ${name}
+load_rc_config $name
 
 pidfile="${dansguardian_pidfile}"
 
-run_rc_command "${1}"
-
+run_rc_command "$1"
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/files/patch-Makefile.in /usr/ports/www/dansguardian-devel/files/patch-Makefile.in
--- /usr/ports/www/dansguardian/files/patch-Makefile.in	Wed Dec 31 16:00:00 1969
+++ /usr/ports/www/dansguardian-devel/files/patch-Makefile.in	Fri Feb 10 07:28:46 2006
@@ -0,0 +1,19 @@
+--- Makefile.in.orig	Thu Feb  2 03:06:47 2006
++++ Makefile.in	Thu Feb  9 14:34:35 2006
+@@ -617,10 +617,12 @@
+ 
+ 
+ install-data-local:
+-	if ! test -d "$(DESTDIR)$(DGLOGLOCATION)"; then \
+-		$(mkinstalldirs) $(DESTDIR)$(DGLOGLOCATION) && \
+-		chown -R $(DGPROXYUSER):$(DGPROXYGROUP) $(DESTDIR)$(DGLOGLOCATION); \
+-	fi
++#	if ! test -d "$(DESTDIR)$(DGLOGLOCATION)"; then \
++#		$(mkinstalldirs) $(DESTDIR)$(DGLOGLOCATION) && \
++#		chown -R $(DGPROXYUSER):$(DGPROXYGROUP) $(DESTDIR)$(DGLOGLOCATION); \
++#	fi
++	touch $(DGLOGLOCATION)/dansguardian.log
++	chown $(DGPROXYUSER):$(DGPROXYGROUP) $(DGLOGLOCATION)/dansguardian.log
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
+ .NOEXPORT:
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/files/patch-autoconf::fbsd.in /usr/ports/www/dansguardian-devel/files/patch-autoconf::fbsd.in
--- /usr/ports/www/dansguardian/files/patch-autoconf::fbsd.in	Fri Mar  4 23:26:11 2005
+++ /usr/ports/www/dansguardian-devel/files/patch-autoconf::fbsd.in	Wed Dec 31 16:00:00 1969
@@ -1,104 +0,0 @@
---- autoconf/fbsd.in.orig	Sun Feb 20 07:25:10 2005
-+++ autoconf/fbsd.in	Wed Mar  2 15:21:28 2005
-@@ -21,16 +21,15 @@
- 		 logrotate.dansguardian dansguardianf1.conf
- 
- PASSVARS = -DPROXYUSER=\"${PROXYUSER}\"
--#PASSVARS += -DLOGLOCATION=\"${LOGLOCATION}access.log\"
-+PASSVARS += -DLOGLOCATION=\"${LOGLOCATION}dansguardian.log\"
- PASSVARS += -DCONFFILELOCATION=\"${CONFFILELOCATION}dansguardian.conf\"
--#PASSVARS += -DPIDDIR=\"${PIDDIR}\"
-+PASSVARS += -DPIDDIR=\"${PIDDIR}\"
- 
- #Some advanced options:
- #WARNING = -Wall
--#OPTIMISE = -O2
--OPTIMISE = ${CXXFLAGS}
- #DEBUG += -DDGDEBUG
- #STATIC = -static
-+OPTIMISE = ${CXXFLAGS}
- 
- I = $(INSTALLPREFIX)
- CFLAGS = $(OPTIMISE) $(WARNING)
-@@ -39,53 +38,43 @@
- .cpp.o:
- 	$(CPP) $(DEBUG) $(CFLAGS) -c $<
- 
--all:	$(OBJ) 
-+all:	$(OBJ)
- 	$(CPP) -o dansguardian $(DGCFLAGS) $(DEBUG) $(OBJ) $(LIBS) dansguardian.cpp
- 
- install:
- 	@test -d $I$(SYSVLOCATION) || install -d $I$(SYSVLOCATION)
- 	@test -d $I$(CONFFILELOCATION) || install -d $I$(CONFFILELOCATION)
--	@test -d $I$(CONFFILELOCATION)phraselists || install -d $I$(CONFFILELOCATION)phraselists
- 	@test -d $I$(CONFFILELOCATION)languages || install -d $I$(CONFFILELOCATION)languages
-+	@test -d $I$(CONFFILELOCATION)samples || install -d $I$(CONFFILELOCATION)samples
- 	@test -d $I$(CGIBINLOCATION) || install -d $I$(CGIBINLOCATION)
- 	@test -d $I$(MANUALFILES)man8/ || install -d $I$(MANUALFILES)man8/
--	@test -d $I$(LOGLOCATION) || install -d $I$(LOGLOCATION)
- 	@test -d $I$(BINARYLOCATION) || install -d $I$(BINARYLOCATION)
--	cp -f ./filtergroupslist $I$(CONFFILELOCATION)filtergroupslist
--	cp -f ./dansguardianf1.conf $I$(CONFFILELOCATION)dansguardianf1.conf
--	cp -f ./dansguardian $I$(BINARYLOCATION)dansguardian
--	cp -f ./dansguardian.conf $I$(CONFFILELOCATION)dansguardian.conf
--	cp -f ./bannedphraselist $I$(CONFFILELOCATION)bannedphraselist
--	cp -f ./exceptionphraselist $I$(CONFFILELOCATION)exceptionphraselist
--	cp -f ./weightedphraselist $I$(CONFFILELOCATION)weightedphraselist
--	cp -f -R ./phraselists/* $I$(CONFFILELOCATION)phraselists/
--	cp -f -R ./languages/* $I$(CONFFILELOCATION)languages/
--	cp -f ./bannediplist $I$(CONFFILELOCATION)bannediplist
--	cp -f ./banneduserlist $I$(CONFFILELOCATION)banneduserlist
--	cp -f ./bannedextensionlist $I$(CONFFILELOCATION)bannedextensionlist
--	cp -f ./bannedmimetypelist $I$(CONFFILELOCATION)bannedmimetypelist
--	cp -f ./bannedurllist $I$(CONFFILELOCATION)bannedurllist
--	cp -f ./bannedregexpurllist $I$(CONFFILELOCATION)bannedregexpurllist
--	cp -f ./bannedsitelist $I$(CONFFILELOCATION)bannedsitelist
--	cp -f ./contentregexplist $I$(CONFFILELOCATION)contentregexplist
--	cp -f ./greysitelist $I$(CONFFILELOCATION)greysitelist
--	cp -f ./greyurllist $I$(CONFFILELOCATION)greyurllist
--	cp -f ./exceptionsitelist $I$(CONFFILELOCATION)exceptionsitelist
--	cp -f ./exceptionurllist $I$(CONFFILELOCATION)exceptionurllist
--	cp -f ./exceptionuserlist $I$(CONFFILELOCATION)exceptionuserlist
--	cp -f ./exceptioniplist $I$(CONFFILELOCATION)exceptioniplist
--	cp -f ./pics $I$(CONFFILELOCATION)pics
--	cp -f ./transparent1x1.gif $I$(CONFFILELOCATION)transparent1x1.gif
--	cp -f ./logrotation $I$(CONFFILELOCATION)logrotation
--	cp -f ./dansguardian.bsdv $I$(SYSVLOCATION)dansguardian.sh
--	cp -f ./dansguardian.pl $I$(CGIBINLOCATION)dansguardian.pl
--	chmod o+x $I$(CGIBINLOCATION)dansguardian.pl
--	cp -f ./dansguardian.8.gz $I$(MANUALFILES)man8/dansguardian.8.gz
--	chown -R $(PROXYUSER):$(PROXYGROUP) $I$(LOGLOCATION)
--	chmod -R u+wr $I$(LOGLOCATION)
--	chmod -R og-w $I$(LOGLOCATION)
--	chmod u+wrx $I$(LOGLOCATION)
--	if [ -d $(LOGROTATELOCATION) ]; then cp -f ./logrotate.dansguardian $I$(LOGROTATELOCATION)dansguardian; fi
-+	install -o root -g wheel -m 755 ./dansguardian $I$(BINARYLOCATION)dansguardian
-+	install -o root -g wheel -m 644 ./filtergroupslist $I$(CONFFILELOCATION)samples/filtergroupslist
-+	install -o root -g wheel -m 644 ./dansguardianf1.conf $I$(CONFFILELOCATION)samples/dansguardianf1.conf
-+	install -o root -g wheel -m 644 ./dansguardian.conf $I$(CONFFILELOCATION)samples/dansguardian.conf
-+	install -o root -g wheel -m 644 ./bannedphraselist $I$(CONFFILELOCATION)samples/bannedphraselist
-+	install -o root -g wheel -m 644 ./exceptionphraselist $I$(CONFFILELOCATION)samples/exceptionphraselist
-+	install -o root -g wheel -m 644 ./weightedphraselist $I$(CONFFILELOCATION)samples/weightedphraselist
-+	install -o root -g wheel -m 644 ./bannediplist $I$(CONFFILELOCATION)samples/bannediplist
-+	install -o root -g wheel -m 644 ./banneduserlist $I$(CONFFILELOCATION)samples/banneduserlist
-+	install -o root -g wheel -m 644 ./bannedextensionlist $I$(CONFFILELOCATION)samples/bannedextensionlist
-+	install -o root -g wheel -m 644 ./bannedmimetypelist $I$(CONFFILELOCATION)samples/bannedmimetypelist
-+	install -o root -g wheel -m 644 ./bannedurllist $I$(CONFFILELOCATION)samples/bannedurllist
-+	install -o root -g wheel -m 644 ./bannedregexpurllist $I$(CONFFILELOCATION)samples/bannedregexpurllist
-+	install -o root -g wheel -m 644 ./bannedsitelist $I$(CONFFILELOCATION)samples/bannedsitelist
-+	install -o root -g wheel -m 644 ./contentregexplist $I$(CONFFILELOCATION)samples/contentregexplist
-+	install -o root -g wheel -m 644 ./greysitelist $I$(CONFFILELOCATION)samples/greysitelist
-+	install -o root -g wheel -m 644 ./greyurllist $I$(CONFFILELOCATION)samples/greyurllist
-+	install -o root -g wheel -m 644 ./exceptionsitelist $I$(CONFFILELOCATION)samples/exceptionsitelist
-+	install -o root -g wheel -m 644 ./exceptionurllist $I$(CONFFILELOCATION)samples/exceptionurllist
-+	install -o root -g wheel -m 644 ./exceptionuserlist $I$(CONFFILELOCATION)samples/exceptionuserlist
-+	install -o root -g wheel -m 644 ./exceptioniplist $I$(CONFFILELOCATION)samples/exceptioniplist
-+	install -o root -g wheel -m 644 ./pics $I$(CONFFILELOCATION)samples/pics
-+	install -o root -g wheel -m 644 ./transparent1x1.gif $I$(CONFFILELOCATION)samples/transparent1x1.gif
-+	install -o root -g wheel -m 755 ./dansguardian.pl $I$(CONFFILELOCATION)samples/dansguardian.pl
-+	install -o root -g wheel -m 644 ./dansguardian.8 $I$(MANUALFILES)man8/dansguardian.8
-+	cp -Rf ./languages/* $I$(CONFFILELOCATION)languages/
- 
- uninstall:
- 	rm -f $(BINARYLOCATION)dansguardian
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/files/patch-configure /usr/ports/www/dansguardian-devel/files/patch-configure
--- /usr/ports/www/dansguardian/files/patch-configure	Fri Mar  4 23:26:11 2005
+++ /usr/ports/www/dansguardian-devel/files/patch-configure	Wed Dec 31 16:00:00 1969
@@ -1,56 +0,0 @@
---- configure.orig	Mon Feb 28 10:34:34 2005
-+++ configure	Mon Feb 28 10:37:32 2005
-@@ -42,7 +42,7 @@
- runas_usr='nobody'
- runas_grp='nobody'
- mandir='/usr/man/'
--logdir='/var/log/dansguardian/'
-+logdir='/var/log/'
- piddir='/var/run/'
- logrotatedir='/etc/logrotate.d/'
- gccver=`gcc -dumpversion | sed '1,$s/.[0-9]*$//'`
-@@ -2480,7 +2480,7 @@
- $extendedecho "SYSVLOCATION = \${PREFIX}$sysvdir" >>Makefile
- $extendedecho "CGIBINLOCATION = \${PREFIX}$cgidir" >>Makefile
- $extendedecho "MANUALFILES = \${PREFIX}$mandir" >>Makefile
--$extendedecho "LOGLOCATION = \${PREFIX}$logdir" >>Makefile
-+$extendedecho "LOGLOCATION = $logdir" >>Makefile
- $extendedecho "LOGROTATELOCATION = \${PREFIX}$logrotatedir" >>Makefile
- echo "PROXYUSER = $runas_usr" >>Makefile
- echo "PROXYGROUP = $runas_grp" >>Makefile
-@@ -2498,7 +2498,7 @@
-   if [ -f /usr/include/ppc/endian.h ]; then
- 	endianh='/usr/include/ppc/endian.h'
- else
--	endianh='<endian.h>'	
-+	endianh='<endian.h>'
- fi
- fi
- fi
-@@ -2834,7 +2834,7 @@
- echo "# Log file location" >>dansguardian.conf
- echo "# " >>dansguardian.conf
- echo "# Defines the log directory and filename." >>dansguardian.conf
--echo "#loglocation = '/var/log/dansguardian/access.log'" >>dansguardian.conf
-+echo "loglocation = '/var/log/dansguardian.log'" >>dansguardian.conf
- echo "" >>dansguardian.conf
- echo "" >>dansguardian.conf
- echo "# Network Settings" >>dansguardian.conf
-@@ -3341,7 +3341,7 @@
- echo "" >>logrotation
- echo "LOG_DIR=$prefixdir$logdir" >>logrotation
- echo "NUM_LOGS=4" >>logrotation
--echo "LOG=\$LOG_DIR/access.log" >>logrotation
-+echo "LOG=\$LOG_DIR/dansguardian.log" >>logrotation
- echo "" >>logrotation
- 
- case `uname -s` in
-@@ -3442,7 +3442,7 @@
- fi
- 
- $extendedecho "$prefixdir$logdir\c" >>logrotate.dansguardian
--echo "access.log {" >>logrotate.dansguardian
-+echo "dansguardian.log {" >>logrotate.dansguardian
- echo "  rotate 4" >>logrotate.dansguardian
- echo "  weekly" >>logrotate.dansguardian
- echo "  sharedscripts" >>logrotate.dansguardian
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/files/patch-dansguardian.8 /usr/ports/www/dansguardian-devel/files/patch-dansguardian.8
--- /usr/ports/www/dansguardian/files/patch-dansguardian.8	Thu May  6 13:09:41 2004
+++ /usr/ports/www/dansguardian-devel/files/patch-dansguardian.8	Wed Dec 31 16:00:00 1969
@@ -1,11 +0,0 @@
---- dansguardian.8.orig	Wed May  5 10:54:57 2004
-+++ dansguardian.8	Wed May  5 10:55:18 2004
-@@ -3,7 +3,7 @@
- .SH NAME
- DansGuardian 2
- .SH SYNOPSIS
--/etc/rc.d/init.d/dansguardian [stop|start|status|restart]
-+/usr/local/etc/rc.d/start-dg.sh [start|stop|restart|status]
- .SH DESCRIPTION
- A Introduction
- 
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/files/patch-doc::dansguardian.8 /usr/ports/www/dansguardian-devel/files/patch-doc::dansguardian.8
--- /usr/ports/www/dansguardian/files/patch-doc::dansguardian.8	Wed Dec 31 16:00:00 1969
+++ /usr/ports/www/dansguardian-devel/files/patch-doc::dansguardian.8	Tue Dec 27 15:02:10 2005
@@ -0,0 +1,20 @@
+--- doc/dansguardian.8.orig	Tue Dec 20 16:21:10 2005
++++ doc/dansguardian.8	Tue Dec 20 16:21:37 2005
+@@ -3,7 +3,7 @@
+ .SH NAME
+ DansGuardian 2
+ .SH SYNOPSIS
+-/etc/rc.d/init.d/dansguardian [stop|start|status|restart]
++/usr/local/etc/rc.d/dansguardian.sh [stop|start|status|restart]
+ .SH DESCRIPTION
+ A Introduction
+ 
+@@ -14,7 +14,7 @@
+ The configurable logging produces a log in an easy to read format which has the option to only log the text-based pages, thus significantly reducing redundant information such as every image on a page.
+ DansGuardian is under continuous development and so it is best to visit the web site for the latest information.
+ 
+-(1) Technically DansGuardian is more of a filtering pass-through than a true proxy - but don't let that worry you!
++(1) Technically, DansGuardian is more of a filtering pass-through than a true proxy - but don't let that worry you!
+ 
+ (2) DansGuardian should work with any proxy, not just Squid. For example, it is known to work with Oops.
+ 
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/pkg-descr /usr/ports/www/dansguardian-devel/pkg-descr
--- /usr/ports/www/dansguardian/pkg-descr	Wed Jul 28 03:28:59 2004
+++ /usr/ports/www/dansguardian-devel/pkg-descr	Sat Apr  8 06:02:08 2006
@@ -3,20 +3,19 @@
 however, DansGuardian should work with any proxy server.
 
 It filters using multiple methods, including:
-  - URL and domain filtering
-  - content phrase filtering
-  - PICS filtering
-  - MIME filtering
-  - file extension filtering
-  - POST filtering
-  - user and source IP filtering
+  - URL and domain filtering            - content phrase filtering
+  - PICS filtering                      - MIME filtering
+  - file extension filtering            - POST filtering
+  - username and source IP filtering    - virus filtering
 
 This version also includes support for filter groups (simple ACLs),
-pre-emptive blocking, improved URL caches,  and fork pooling for
+pre-emptive blocking, improved URL caches, and fork pooling for
 improved performance under heavy load.
 
+This is the development version of DansGuardian and is still
+considered to be Alpha quality.
+
 WWW: http://dansguardian.org
-WWW: http://backup.dansguardian.org
 
 - Freddie Cash
 fcash@sd73.bc.ca
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/pkg-message /usr/ports/www/dansguardian-devel/pkg-message
--- /usr/ports/www/dansguardian/pkg-message	Sat Apr  8 05:57:42 2006
+++ /usr/ports/www/dansguardian-devel/pkg-message	Tue Jun  6 07:50:05 2006
@@ -1,15 +1,15 @@
 ===>   Please Note:
 
 *******************************************************************************
-       All initial config files have been placed under a samples/ directory.
-       You will need to copy these files into the config directory before
-       running DansGuardian for the first time.
-
        This port has created a log file named dansguardian.log that can get
        quite large.  Please read the newsyslog(8) man page for instructions
-       on setting up log rotation and compression.
+       on configuring log rotation and compression.
 
-       This port hasa been converted to the new RC framework and should work
+       This port has been converted to the new RC framework and should work
        correctly via rcorder.  Please read the comments in the startup script
        for instructions on enabling the daemon.
+
+       DG_CLAMAV, DG_ICAP, DG_KASP, DG_NTLM are all experimental options that I
+       am not currently able to test.  Let me know how these work (or not)
+       for you.  (Patches always welcome.)
 *******************************************************************************
diff -ruN --exclude=CVS /usr/ports/www/dansguardian/pkg-plist /usr/ports/www/dansguardian-devel/pkg-plist
--- /usr/ports/www/dansguardian/pkg-plist	Sat Apr  8 05:57:42 2006
+++ /usr/ports/www/dansguardian-devel/pkg-plist	Tue Sep 26 16:26:21 2006
@@ -1,184 +1,304 @@
 @exec mkdir -p etc/dansguardian
-@exec mkdir -p etc/dansguardian/languages
-@exec mkdir -p etc/dansguardian/languages/arspanish
-@exec mkdir -p etc/dansguardian/languages/bulgarian
-@exec mkdir -p etc/dansguardian/languages/chinesebig5
-@exec mkdir -p etc/dansguardian/languages/chineseb2312
-@exec mkdir -p etc/dansguardian/languages/czech
-@exec mkdir -p etc/dansguardian/languages/danish
-@exec mkdir -p etc/dansguardian/languages/french
-@exec mkdir -p etc/dansguardian/languages/german
-@exec mkdir -p etc/dansguardian/languages/hebrew
-@exec mkdir -p etc/dansguardian/languages/indonesian
-@exec mkdir -p etc/dansguardian/languages/italian
-@exec mkdir -p etc/dansguardian/languages/lithuanian
-@exec mkdir -p etc/dansguardian/languages/mxspanish
-@exec mkdir -p etc/dansguardian/languages/polish
-@exec mkdir -p etc/dansguardian/languages/portuguese
-@exec mkdir -p etc/dansguardian/languages/russian-1251
-@exec mkdir -p etc/dansguardian/languages/slovak
-@exec mkdir -p etc/dansguardian/languages/spanish
-@exec mkdir -p etc/dansguardian/languages/swedish
-@exec mkdir -p etc/dansguardian/languages/turkish
-@exec mkdir -p etc/dansguardian/languages/ukenglish
-@exec mkdir -p etc/dansguardian/samples
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/chat
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/drugadvocacy
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/dutchbadwords
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/frenchbadwords
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/frenchpornography
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/gambling
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/germanpornography
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/goodphrases
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/googlesearches
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/gore
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/illegaldrugs
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/intolerance
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/italianbadwords
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/legaldrugs
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/personals
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/pornography
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/violence
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/warezhacking
-%%PHRASELISTS%%@exec mkdir -p etc/dansguardian/phraselists/weapons
-etc/dansguardian/samples/bannedextensionlist
-etc/dansguardian/samples/bannediplist
-etc/dansguardian/samples/bannedmimetypelist
-etc/dansguardian/samples/bannedphraselist
-etc/dansguardian/samples/bannedregexpurllist
-etc/dansguardian/samples/bannedsitelist
-etc/dansguardian/samples/bannedurllist
-etc/dansguardian/samples/banneduserlist
-etc/dansguardian/samples/contentregexplist
-etc/dansguardian/samples/dansguardian.conf
-etc/dansguardian/samples/dansguardianf1.conf
-etc/dansguardian/samples/exceptioniplist
-etc/dansguardian/samples/exceptionphraselist
-etc/dansguardian/samples/exceptionsitelist
-etc/dansguardian/samples/exceptionurllist
-etc/dansguardian/samples/exceptionuserlist
-etc/dansguardian/samples/filtergroupslist
-etc/dansguardian/samples/greysitelist
-etc/dansguardian/samples/greyurllist
-etc/dansguardian/samples/pics
-etc/dansguardian/samples/transparent1x1.gif
-etc/dansguardian/samples/weightedphraselist
-etc/dansguardian/samples/dansguardian.pl
-etc/dansguardian/languages/ReadMe
-etc/dansguardian/languages/arspanish/messages
-etc/dansguardian/languages/arspanish/template.html
-etc/dansguardian/languages/bulgarian/messages
-etc/dansguardian/languages/bulgarian/template.html
-etc/dansguardian/languages/chinesebig5/messages
-etc/dansguardian/languages/chinesebig5/template.html
-etc/dansguardian/languages/chinesegb2312/messages
-etc/dansguardian/languages/chinesegb2312/template.html
-etc/dansguardian/languages/czech/messages
-etc/dansguardian/languages/czech/template.html
-etc/dansguardian/languages/danish/messages
-etc/dansguardian/languages/danish/template.html
-etc/dansguardian/languages/dutch/messages
-etc/dansguardian/languages/dutch/template.html
-etc/dansguardian/languages/french/messages
-etc/dansguardian/languages/french/template.html
-etc/dansguardian/languages/german/messages
-etc/dansguardian/languages/german/template.html
-etc/dansguardian/languages/hebrew/messages
-etc/dansguardian/languages/hebrew/template.html
-etc/dansguardian/languages/indonesian/messages
-etc/dansguardian/languages/indonesian/template.html
-etc/dansguardian/languages/italian/messages
-etc/dansguardian/languages/italian/template.html
-etc/dansguardian/languages/lithuanian/messages
-etc/dansguardian/languages/lithuanian/template.html
-etc/dansguardian/languages/mxspanish/messages
-etc/dansguardian/languages/mxspanish/template.html
-etc/dansguardian/languages/polish/messages
-etc/dansguardian/languages/polish/template.html
-etc/dansguardian/languages/portuguese/messages
-etc/dansguardian/languages/portuguese/messagesaccents
-etc/dansguardian/languages/portuguese/template.html
-etc/dansguardian/languages/swedish/messages
-etc/dansguardian/languages/swedish/template.html
-etc/dansguardian/languages/turkish/messages
-etc/dansguardian/languages/turkish/template.html
-etc/dansguardian/languages/ukenglish/messages
-etc/dansguardian/languages/ukenglish/template.html
-etc/dansguardian/languages/spanish/messages
-etc/dansguardian/languages/spanish/template.html
-etc/dansguardian/languages/slovak/messages
-etc/dansguardian/languages/slovak/template.html
-etc/dansguardian/languages/russian-1251/messages
-etc/dansguardian/languages/russian-1251/template.html
-%%PHRASELISTS%%etc/dansguardian/phraselists/chat/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/drugadvocacy/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/dutchbadwords/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/frenchbadwords/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/frenchpornography/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/gambling/banned
-%%PHRASELISTS%%etc/dansguardian/phraselists/gambling/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/germanpornography/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/goodphrases/exception
-%%PHRASELISTS%%etc/dansguardian/phraselists/goodphrases/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/googlesearches/banned
-%%PHRASELISTS%%etc/dansguardian/phraselists/gore/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/illegaldrugs/banned
-%%PHRASELISTS%%etc/dansguardian/phraselists/illegaldrugs/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/intolerance/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/italianbadwords/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/legaldrugs/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/personals/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/pornography/banned
-%%PHRASELISTS%%etc/dansguardian/phraselists/pornography/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/violence/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/warezhacking/weighted
-%%PHRASELISTS%%etc/dansguardian/phraselists/weapons/weighted
+@exec mkdir -p etc/dansguardian/authplugins
+%%SCANNERS%%@exec mkdir -p etc/dansguardian/contentscanners
+@exec mkdir -p etc/dansguardian/downloadmanagers
+@exec mkdir -p etc/dansguardian/lists
+@exec mkdir -p etc/dansguardian/lists/authplugins
+@exec mkdir -p etc/dansguardian/lists/blacklists
+@exec mkdir -p etc/dansguardian/lists/blacklists/ads
+%%SCANNERS%%@exec mkdir -p etc/dansguardian/lists/contentscanners
+@exec mkdir -p etc/dansguardian/lists/downloadmanagers
+@exec mkdir -p etc/dansguardian/lists/phraselists
+@exec mkdir -p etc/dansguardian/lists/phraselists/badwords
+@exec mkdir -p etc/dansguardian/lists/phraselists/chat
+@exec mkdir -p etc/dansguardian/lists/phraselists/drugadvocacy
+@exec mkdir -p etc/dansguardian/lists/phraselists/gambling
+@exec mkdir -p etc/dansguardian/lists/phraselists/games
+@exec mkdir -p etc/dansguardian/lists/phraselists/goodphrases
+@exec mkdir -p etc/dansguardian/lists/phraselists/googlesearches
+@exec mkdir -p etc/dansguardian/lists/phraselists/gore
+@exec mkdir -p etc/dansguardian/lists/phraselists/illegaldrugs
+@exec mkdir -p etc/dansguardian/lists/phraselists/intolerance
+@exec mkdir -p etc/dansguardian/lists/phraselists/legaldrugs
+@exec mkdir -p etc/dansguardian/lists/phraselists/malware
+@exec mkdir -p etc/dansguardian/lists/phraselists/news
+@exec mkdir -p etc/dansguardian/lists/phraselists/nudism
+@exec mkdir -p etc/dansguardian/lists/phraselists/peer2peer
+@exec mkdir -p etc/dansguardian/lists/phraselists/personals
+@exec mkdir -p etc/dansguardian/lists/phraselists/pornography
+@exec mkdir -p etc/dansguardian/lists/phraselists/proxies
+@exec mkdir -p etc/dansguardian/lists/phraselists/sport
+@exec mkdir -p etc/dansguardian/lists/phraselists/violence
+@exec mkdir -p etc/dansguardian/lists/phraselists/warezhacking
+@exec mkdir -p etc/dansguardian/lists/phraselists/weapons
+@exec mkdir -p etc/dansguardian/lists/phraselists/webmail
+@exec mkdir -p %%DATADIR%%
+@exec mkdir -p %%DATADIR%%/languages
+@exec mkdir -p %%DATADIR%%/languages/bulgarian
+@exec mkdir -p %%DATADIR%%/languages/chinesebig5
+@exec mkdir -p %%DATADIR%%/languages/chinesegb2312
+@exec mkdir -p %%DATADIR%%/languages/czech
+@exec mkdir -p %%DATADIR%%/languages/danish
+@exec mkdir -p %%DATADIR%%/languages/dutch
+@exec mkdir -p %%DATADIR%%/languages/french
+@exec mkdir -p %%DATADIR%%/languages/german
+@exec mkdir -p %%DATADIR%%/languages/hebrew
+@exec mkdir -p %%DATADIR%%/languages/hungarian
+@exec mkdir -p %%DATADIR%%/languages/indonesian
+@exec mkdir -p %%DATADIR%%/languages/italian
+@exec mkdir -p %%DATADIR%%/languages/lithuanian
+@exec mkdir -p %%DATADIR%%/languages/polish
+@exec mkdir -p %%DATADIR%%/languages/portuguese
+@exec mkdir -p %%DATADIR%%/languages/ptbrazilian
+@exec mkdir -p %%DATADIR%%/languages/russian-1251
+@exec mkdir -p %%DATADIR%%/languages/russian-koi8-r
+@exec mkdir -p %%DATADIR%%/languages/slovak
+@exec mkdir -p %%DATADIR%%/languages/spanish
+@exec mkdir -p %%DATADIR%%/languages/swedish
+@exec mkdir -p %%DATADIR%%/languages/turkish
+@exec mkdir -p %%DATADIR%%/languages/ukenglish
+@exec mkdir -p %%DATADIR%%/scripts
 sbin/dansguardian
-@dirrm etc/dansguardian/languages/arspanish
-@dirrm etc/dansguardian/languages/bulgarian
-@dirrm etc/dansguardian/languages/chinesebig5
-@dirrm etc/dansguardian/languages/chinesegb2312
-@dirrm etc/dansguardian/languages/czech
-@dirrm etc/dansguardian/languages/danish
-@dirrm etc/dansguardian/languages/dutch
-@dirrm etc/dansguardian/languages/french
-@dirrm etc/dansguardian/languages/german
-@dirrm etc/dansguardian/languages/hebrew
-@dirrm etc/dansguardian/languages/indonesian
-@dirrm etc/dansguardian/languages/italian
-@dirrm etc/dansguardian/languages/lithuanian
-@dirrm etc/dansguardian/languages/mxspanish
-@dirrm etc/dansguardian/languages/polish
-@dirrm etc/dansguardian/languages/portuguese
-@dirrm etc/dansguardian/languages/russian-1251
-@dirrm etc/dansguardian/languages/slovak
-@dirrm etc/dansguardian/languages/spanish
-@dirrm etc/dansguardian/languages/swedish
-@dirrm etc/dansguardian/languages/turkish
-@dirrm etc/dansguardian/languages/ukenglish
-@dirrm etc/dansguardian/languages
-@dirrm etc/dansguardian/samples
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/chat
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/drugadvocacy
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/dutchbadwords
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/frenchbadwords
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/frenchpornography
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/gambling
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/germanpornography
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/goodphrases
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/googlesearches
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/gore
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/illegaldrugs
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/intolerance
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/italianbadwords
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/legaldrugs
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/personals
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/pornography
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/violence
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/warezhacking
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists/weapons
-%%PHRASELISTS%%@dirrm etc/dansguardian/phraselists
+%%DATADIR%%/languages/spanish/messages
+%%DATADIR%%/languages/spanish/fancydmtemplate.html
+%%DATADIR%%/languages/spanish/template.html
+%%DATADIR%%/languages/czech/messages
+%%DATADIR%%/languages/czech/fancydmtemplate.html
+%%DATADIR%%/languages/czech/template.html
+%%DATADIR%%/languages/hungarian/messages
+%%DATADIR%%/languages/hungarian/fancydmtemplate.html
+%%DATADIR%%/languages/hungarian/template.html
+%%DATADIR%%/languages/ptbrazilian/messages
+%%DATADIR%%/languages/ptbrazilian/fancydmtemplate.html
+%%DATADIR%%/languages/ptbrazilian/template.html
+%%DATADIR%%/languages/hebrew/messages
+%%DATADIR%%/languages/hebrew/fancydmtemplate.html
+%%DATADIR%%/languages/hebrew/template.html
+%%DATADIR%%/languages/turkish/messages
+%%DATADIR%%/languages/turkish/fancydmtemplate.html
+%%DATADIR%%/languages/turkish/template.html
+%%DATADIR%%/languages/bulgarian/messages
+%%DATADIR%%/languages/bulgarian/fancydmtemplate.html
+%%DATADIR%%/languages/bulgarian/template.html
+%%DATADIR%%/languages/danish/messages
+%%DATADIR%%/languages/danish/fancydmtemplate.html
+%%DATADIR%%/languages/danish/template.html
+%%DATADIR%%/languages/indonesian/messages
+%%DATADIR%%/languages/indonesian/fancydmtemplate.html
+%%DATADIR%%/languages/indonesian/template.html
+%%DATADIR%%/languages/russian-1251/messages
+%%DATADIR%%/languages/russian-1251/fancydmtemplate.html
+%%DATADIR%%/languages/russian-1251/template.html
+%%DATADIR%%/languages/ukenglish/messages
+%%DATADIR%%/languages/ukenglish/fancydmtemplate.html
+%%DATADIR%%/languages/ukenglish/template.html
+%%DATADIR%%/languages/chinesebig5/messages
+%%DATADIR%%/languages/chinesebig5/fancydmtemplate.html
+%%DATADIR%%/languages/chinesebig5/template.html
+%%DATADIR%%/languages/dutch/messages
+%%DATADIR%%/languages/dutch/fancydmtemplate.html
+%%DATADIR%%/languages/dutch/template.html
+%%DATADIR%%/languages/italian/messages
+%%DATADIR%%/languages/italian/fancydmtemplate.html
+%%DATADIR%%/languages/italian/template.html
+%%DATADIR%%/languages/russian-koi8-r/messages
+%%DATADIR%%/languages/russian-koi8-r/fancydmtemplate.html
+%%DATADIR%%/languages/russian-koi8-r/template.html
+%%DATADIR%%/languages/chinesegb2312/messages
+%%DATADIR%%/languages/chinesegb2312/fancydmtemplate.html
+%%DATADIR%%/languages/chinesegb2312/template.html
+%%DATADIR%%/languages/french/messages
+%%DATADIR%%/languages/french/fancydmtemplate.html
+%%DATADIR%%/languages/french/template.html
+%%DATADIR%%/languages/lithuanian/messages
+%%DATADIR%%/languages/lithuanian/fancydmtemplate.html
+%%DATADIR%%/languages/lithuanian/template.html
+%%DATADIR%%/languages/polish/messages
+%%DATADIR%%/languages/polish/fancydmtemplate.html
+%%DATADIR%%/languages/polish/template.html
+%%DATADIR%%/languages/slovak/messages
+%%DATADIR%%/languages/slovak/fancydmtemplate.html
+%%DATADIR%%/languages/slovak/template.html
+%%DATADIR%%/languages/german/messages
+%%DATADIR%%/languages/german/fancydmtemplate.html
+%%DATADIR%%/languages/german/template.html
+%%DATADIR%%/languages/portuguese/messages
+%%DATADIR%%/languages/portuguese/fancydmtemplate.html
+%%DATADIR%%/languages/portuguese/template.html
+%%DATADIR%%/languages/swedish/messages
+%%DATADIR%%/languages/swedish/fancydmtemplate.html
+%%DATADIR%%/languages/swedish/template.html
+%%DATADIR%%/transparent1x1.gif
+%%DATADIR%%/dansguardian.pl
+%%DATADIR%%/scripts/dansguardian
+%%DATADIR%%/scripts/logrotation
+%%DATADIR%%/scripts/bsd-init
+%%DATADIR%%/scripts/solaris-init
+%%DATADIR%%/scripts/systemv-init
+etc/dansguardian/authplugins/ident.conf
+etc/dansguardian/authplugins/ip.conf
+etc/dansguardian/authplugins/proxy-basic.conf
+%%NTLMCONF%%etc/dansguardian/authplugins/proxy-ntlm.conf
+etc/dansguardian/lists/authplugins/ipgroups
+etc/dansguardian/lists/exceptionextensionlist
+etc/dansguardian/lists/exceptionfilesitelist
+etc/dansguardian/lists/exceptionmimetypelist
+etc/dansguardian/lists/blacklists/ads/domains
+etc/dansguardian/lists/blacklists/ads/urls
+etc/dansguardian/lists/downloadmanagers/managedextensionlist
+etc/dansguardian/lists/downloadmanagers/managedmimetypelist
+etc/dansguardian/lists/phraselists/badwords/weighted_dutch
+etc/dansguardian/lists/phraselists/badwords/weighted_french
+etc/dansguardian/lists/phraselists/badwords/weighted_german
+etc/dansguardian/lists/phraselists/badwords/weighted_portuguese
+etc/dansguardian/lists/phraselists/badwords/weighted_spanish
+etc/dansguardian/lists/phraselists/chat/weighted
+etc/dansguardian/lists/phraselists/chat/weighted_italian
+etc/dansguardian/lists/phraselists/drugadvocacy/weighted
+etc/dansguardian/lists/phraselists/gambling/weighted
+etc/dansguardian/lists/phraselists/gambling/weighted_portuguese
+etc/dansguardian/lists/phraselists/gambling/banned
+etc/dansguardian/lists/phraselists/gambling/banned_portuguese
+etc/dansguardian/lists/phraselists/games/weighted
+etc/dansguardian/lists/phraselists/goodphrases/weighted_general
+etc/dansguardian/lists/phraselists/goodphrases/weighted_general_danish
+etc/dansguardian/lists/phraselists/goodphrases/weighted_general_dutch
+etc/dansguardian/lists/phraselists/goodphrases/weighted_general_malay
+etc/dansguardian/lists/phraselists/goodphrases/weighted_general_portuguese
+etc/dansguardian/lists/phraselists/goodphrases/weighted_news
+etc/dansguardian/lists/phraselists/goodphrases/exception
+etc/dansguardian/lists/phraselists/goodphrases/exception_email
+etc/dansguardian/lists/phraselists/googlesearches/banned
+etc/dansguardian/lists/phraselists/gore/weighted
+etc/dansguardian/lists/phraselists/gore/weighted_portuguese
+etc/dansguardian/lists/phraselists/illegaldrugs/weighted
+etc/dansguardian/lists/phraselists/illegaldrugs/weighted_portuguese
+etc/dansguardian/lists/phraselists/illegaldrugs/banned
+etc/dansguardian/lists/phraselists/intolerance/weighted
+etc/dansguardian/lists/phraselists/intolerance/weighted_portuguese
+etc/dansguardian/lists/phraselists/intolerance/banned_portuguese
+etc/dansguardian/lists/phraselists/legaldrugs/weighted
+etc/dansguardian/lists/phraselists/malware/weighted
+etc/dansguardian/lists/phraselists/news/weighted
+etc/dansguardian/lists/phraselists/nudism/weighted
+etc/dansguardian/lists/phraselists/peer2peer/weighted
+etc/dansguardian/lists/phraselists/personals/weighted
+etc/dansguardian/lists/phraselists/personals/weighted_portuguese
+etc/dansguardian/lists/phraselists/pornography/banned
+etc/dansguardian/lists/phraselists/pornography/banned_portuguese
+etc/dansguardian/lists/phraselists/pornography/weighted
+etc/dansguardian/lists/phraselists/pornography/weighted_chinese
+etc/dansguardian/lists/phraselists/pornography/weighted_danish
+etc/dansguardian/lists/phraselists/pornography/weighted_dutch
+etc/dansguardian/lists/phraselists/pornography/weighted_french
+etc/dansguardian/lists/phraselists/pornography/weighted_german
+etc/dansguardian/lists/phraselists/pornography/weighted_italian
+etc/dansguardian/lists/phraselists/pornography/weighted_japanese
+etc/dansguardian/lists/phraselists/pornography/weighted_malay
+etc/dansguardian/lists/phraselists/pornography/weighted_norgwegian
+etc/dansguardian/lists/phraselists/pornography/weighted_portuguese
+etc/dansguardian/lists/phraselists/pornography/weighted_russian
+etc/dansguardian/lists/phraselists/pornography/weighted_spanish
+etc/dansguardian/lists/phraselists/proxies/weighted
+etc/dansguardian/lists/phraselists/sport/weighted
+etc/dansguardian/lists/phraselists/violence/weighted
+etc/dansguardian/lists/phraselists/violence/weighted_portuguese
+etc/dansguardian/lists/phraselists/warezhacking/weighted
+etc/dansguardian/lists/phraselists/weapons/weighted
+etc/dansguardian/lists/phraselists/weapons/weighted_portuguese
+etc/dansguardian/lists/phraselists/webmail/weighted
+etc/dansguardian/lists/bannedextensionlist
+etc/dansguardian/lists/bannediplist
+etc/dansguardian/lists/bannedmimetypelist
+etc/dansguardian/lists/bannedregexpurllist
+etc/dansguardian/lists/bannedsitelist
+etc/dansguardian/lists/bannedurllist
+etc/dansguardian/lists/contentregexplist
+etc/dansguardian/lists/exceptioniplist
+etc/dansguardian/lists/exceptionsitelist
+etc/dansguardian/lists/exceptionurllist
+etc/dansguardian/lists/filtergroupslist
+etc/dansguardian/lists/greysitelist
+etc/dansguardian/lists/greyurllist
+etc/dansguardian/lists/pics
+etc/dansguardian/lists/bannedphraselist
+etc/dansguardian/lists/weightedphraselist
+etc/dansguardian/lists/exceptionphraselist
+etc/dansguardian/lists/urlregexplist
+etc/dansguardian/lists/exceptionregexpurllist
+%%SCANNERS%%etc/dansguardian/lists/contentscanners/exceptionvirusmimetypelist
+%%SCANNERS%%etc/dansguardian/lists/contentscanners/exceptionvirusextensionlist
+%%SCANNERS%%etc/dansguardian/lists/contentscanners/exceptionvirussitelist
+%%SCANNERS%%etc/dansguardian/lists/contentscanners/exceptionvirusurllist
+etc/dansguardian/downloadmanagers/default.conf
+etc/dansguardian/downloadmanagers/fancy.conf
+etc/dansguardian/downloadmanagers/trickle.conf
+%%CLAMAVCONF%%etc/dansguardian/contentscanners/clamav.conf
+%%CLAMDCONF%%etc/dansguardian/contentscanners/clamdscan.conf
+%%KAVDCONF%%etc/dansguardian/contentscanners/kavdscan.conf
+%%ICAPCONF%%etc/dansguardian/contentscanners/icapscan.conf
+%%CLISCANCONF%%etc/dansguardian/contentscanners/commandlinescan.conf
+etc/dansguardian/dansguardian.conf
+etc/dansguardian/dansguardianf1.conf
+@dirrm %%DATADIR%%/scripts
+@dirrm %%DATADIR%%/languages/bulgarian
+@dirrm %%DATADIR%%/languages/chinesebig5
+@dirrm %%DATADIR%%/languages/chinesegb2312
+@dirrm %%DATADIR%%/languages/czech
+@dirrm %%DATADIR%%/languages/danish
+@dirrm %%DATADIR%%/languages/dutch
+@dirrm %%DATADIR%%/languages/french
+@dirrm %%DATADIR%%/languages/german
+@dirrm %%DATADIR%%/languages/hebrew
+@dirrm %%DATADIR%%/languages/hungarian
+@dirrm %%DATADIR%%/languages/indonesian
+@dirrm %%DATADIR%%/languages/italian
+@dirrm %%DATADIR%%/languages/lithuanian
+@dirrm %%DATADIR%%/languages/polish
+@dirrm %%DATADIR%%/languages/portuguese
+@dirrm %%DATADIR%%/languages/ptbrazilian
+@dirrm %%DATADIR%%/languages/russian-1251
+@dirrm %%DATADIR%%/languages/russian-koi8-r
+@dirrm %%DATADIR%%/languages/slovak
+@dirrm %%DATADIR%%/languages/spanish
+@dirrm %%DATADIR%%/languages/swedish
+@dirrm %%DATADIR%%/languages/turkish
+@dirrm %%DATADIR%%/languages/ukenglish
+@dirrm %%DATADIR%%/languages
+@dirrm %%DATADIR%%
+@dirrm etc/dansguardian/lists/phraselists/badwords
+@dirrm etc/dansguardian/lists/phraselists/chat
+@dirrm etc/dansguardian/lists/phraselists/drugadvocacy
+@dirrm etc/dansguardian/lists/phraselists/gambling
+@dirrm etc/dansguardian/lists/phraselists/games
+@dirrm etc/dansguardian/lists/phraselists/goodphrases
+@dirrm etc/dansguardian/lists/phraselists/googlesearches
+@dirrm etc/dansguardian/lists/phraselists/gore
+@dirrm etc/dansguardian/lists/phraselists/illegaldrugs
+@dirrm etc/dansguardian/lists/phraselists/intolerance
+@dirrm etc/dansguardian/lists/phraselists/legaldrugs
+@dirrm etc/dansguardian/lists/phraselists/malware
+@dirrm etc/dansguardian/lists/phraselists/news
+@dirrm etc/dansguardian/lists/phraselists/nudism
+@dirrm etc/dansguardian/lists/phraselists/peer2peer
+@dirrm etc/dansguardian/lists/phraselists/personals
+@dirrm etc/dansguardian/lists/phraselists/pornography
+@dirrm etc/dansguardian/lists/phraselists/proxies
+@dirrm etc/dansguardian/lists/phraselists/sport
+@dirrm etc/dansguardian/lists/phraselists/violence
+@dirrm etc/dansguardian/lists/phraselists/warezhacking
+@dirrm etc/dansguardian/lists/phraselists/weapons
+@dirrm etc/dansguardian/lists/phraselists/webmail
+@dirrm etc/dansguardian/lists/phraselists
+@dirrm etc/dansguardian/lists/downloadmanagers
+%%SCANNERS%%@dirrm etc/dansguardian/lists/contentscanners
+@dirrm etc/dansguardian/lists/blacklists/ads
+@dirrm etc/dansguardian/lists/blacklists
+@dirrm etc/dansguardian/lists/authplugins
+@dirrm etc/dansguardian/lists
+@dirrm etc/dansguardian/downloadmanagers
+%%SCANNERS%%@dirrm etc/dansguardian/contentscanners
+@dirrm etc/dansguardian/authplugins
 @dirrm etc/dansguardian
 @unexec echo If permanently deleting this package, /var/log/dansguardian.log  must be removed manually
 @unexec echo If permanently deleting this package, custom configuration files must be removed manually
===> Done
